Package dev.plex

# Record Class PlexLibraryManager.PluginLibraries

java.lang.Object
java.lang.Record
dev.plex.PlexLibraryManager.PluginLibraries

Enclosing class:
  PlexLibraryManager

private static record PlexLibraryManager.PluginLibraries(Map<String,String> repositories, List<String> dependencies) extends Record

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<String>`
`dependencies`
The field for the `dependencies` record component.
`private final Map<String,String>`
`repositories`
The field for the `repositories` record component.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`PluginLibraries(Map<String,String> repositories, List<String> dependencies)`
Creates an instance of a `PluginLibraries` record class.

## Method Summary

Modifier and Type
Method
Description
`Stream<org.eclipse.aether.graph.Dependency>`
`asDependencies()`
`Stream<org.eclipse.aether.repository.RemoteRepository>`
`asRepositories()`
`List<String>`
`dependencies()`
Returns the value of the `dependencies` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`Map<String,String>`
`repositories()`
Returns the value of the `repositories` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### repositories

private final Map<String,String> repositories
The field for the `repositories` record component.

### dependencies

private final List<String> dependencies
The field for the `dependencies` record component.

## Constructor Details

### PluginLibraries

private PluginLibraries(Map<String,String> repositories, List<String> dependencies)
Creates an instance of a `PluginLibraries` record class.

Parameters:
  `repositories` - the value for the `repositories` record component
  `dependencies` - the value for the `dependencies` record component

## Method Details

### asDependencies

public Stream<org.eclipse.aether.graph.Dependency> asDependencies()

### asRepositories

public Stream<org.eclipse.aether.repository.RemoteRepository> asRepositories()

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### repositories

public Map<String,String> repositories()
Returns the value of the `repositories` record component.

Returns:
  the value of the `repositories` record component

### dependencies

public List<String> dependencies()
Returns the value of the `dependencies` record component.

Returns:
  the value of the `dependencies` record component